Bug 1661422 - Recommended Repositories lists tools for outdated Satellite version
Summary: Recommended Repositories lists tools for outdated Satellite version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Evgeni Golov
QA Contact: vijsingh
URL:
Whiteboard:
: 1640246 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-21 08:08 UTC by Evgeni Golov
Modified: 2019-10-07 17:20 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.6-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:37 UTC


Attachments (Terms of Use)
screenshot of the relevant page section (50.63 KB, image/png)
2018-12-21 08:08 UTC, Evgeni Golov
no flags Details
repo selection (137.13 KB, image/png)
2019-01-14 07:05 UTC, vijsingh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:45 UTC
Foreman Issue Tracker 25750 None None None 2018-12-21 08:17:11 UTC
Red Hat Knowledge Base (Solution) 3669781 None None None 2019-01-07 18:21:52 UTC

Description Evgeni Golov 2018-12-21 08:08:28 UTC
Created attachment 1516062 [details]
screenshot of the relevant page section

Description of problem:
On Satellite 6.4, the RH repositories page (/redhat_repositories) lists 6.3 Tools and Capsule as "recommended" repositories, instead of their 6.4 counterparts.

Version-Release number of selected component (if applicable):
satellite-6.4.0-15.el7sat.noarch
tfm-rubygem-katello-3.7.0.41-1.el7sat.noarch


How reproducible:
100%

Steps to Reproduce:
1. go to https://satellite/redhat_repositories
2. toggle "Recommended Repositories" to ON

Actual results:
Red Hat Satellite Capsule 6.3 (for RHEL 7 Server) (RPMs)
Red Hat Satellite Capsule 6.4 (for RHEL 7 Server) (RPMs)
Red Hat Satellite Tools 6.3 (for RHEL 6 Server) (RPMs)
Red Hat Satellite Tools 6.3 (for RHEL 7 Server) (RPMs)


Expected results:
Red Hat Satellite Capsule 6.4 (for RHEL 7 Server) (RPMs)
Red Hat Satellite Tools 6.4 (for RHEL 6 Server) (RPMs)
Red Hat Satellite Tools 6.4 (for RHEL 7 Server) (RPMs)


Additional info:
See screenshot

Comment 3 Evgeni Golov 2018-12-21 08:17:10 UTC
Created redmine issue https://projects.theforeman.org/issues/25750 from this bug

Comment 4 pm-sat@redhat.com 2018-12-21 09:04:36 UTC
Upstream bug assigned to egolov@redhat.com

Comment 5 pm-sat@redhat.com 2018-12-21 09:04:38 UTC
Upstream bug assigned to egolov@redhat.com

Comment 6 John Mitsch 2019-01-04 18:14:25 UTC
This associated issue was closed, should we put this BZ in POST?
https://projects.theforeman.org/issues/25750

Comment 7 Brad Buckingham 2019-01-07 18:17:34 UTC
Yes, should definitely be in POST.

Comment 8 Brad Buckingham 2019-01-07 18:21:53 UTC
*** Bug 1640246 has been marked as a duplicate of this bug. ***

Comment 10 vijsingh 2019-01-14 07:05:22 UTC
Verified:

@Satellite 6.5.0 Snap 11.0

Steps:
 on GUI : 

  Content => Red Hat Repositories => *Recommended Repositories = On

Observation:

 -Able to see the repositories only related to 6.4 now

 i.e.

 Red Hat Satellite Capsule 6.4 (for RHEL 7 Server) (RPMs)
 Red Hat Satellite Tools 6.4 (for RHEL 6 Server) (RPMs)
 Red Hat Satellite Tools 6.4 (for RHEL 7 Server) (RPMs)

- Related screen shot is attached.

Comment 11 vijsingh 2019-01-14 07:05:51 UTC
Created attachment 1520460 [details]
repo selection

Comment 14 errata-xmlrpc 2019-05-14 12:39:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.